package com.blueland.dao;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.annotation.InterceptorIgnore;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.blueland.model.TPfAdminUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import com.blueland.bo.AdminUserEntity;


@Mapper
public interface AdminUserDao  extends BaseMapper<TPfAdminUser> {
	/**
	 * 根据条件查询查询tagAdminUser列表
	 */
	@InterceptorIgnore(tenantLine = "true")
	public List<AdminUserEntity> findAdminUserListByParams(@Param("bo") Map<String,Object> tagAdminUser);
	
	/**
	 * 通过bizId 删除数据
	 * @param bizId
	 * @return
	 */
	public int deleteAdminUserByBizId(String bizId);
	
	/**
	 * 批量插入
	 * @param list
	 * @return
	 */
	public int insertBatchAdminUser(List<AdminUserEntity> list);

	public int batchDeleteByAppId(String[] appIds);

	@InterceptorIgnore(tenantLine = "true")
	public List<AdminUserEntity> findAdminOrgListByParams(@Param("bo")Map<String, Object> params);

	public AdminUserEntity getByAppidAndUsercode(@Param(value="appId")String appId, @Param(value="userCode")String userCode);

	List<AdminUserEntity> findList(@Param("bo") AdminUserEntity entity);

	Page<AdminUserEntity> findPage(@Param("page") Page<AdminUserEntity> page,@Param("bo") AdminUserEntity entity);
}
